<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html" version="4.0"/>
<xsl:template match="/">
<html>
<head>
<title>WolfStat</title>
<link rel="stylesheet" href="../../wolfstat.css" type="text/css" />
</head>
	<body>
	<br/>
	<!-- START PLAYER INFO -->
	<table border="0" cellspacing="1" cellpadding="0">
	
	<tr><td>
		<xsl:apply-templates select="WOLFSTATS/PLAYER" />
	
	</td></tr>
	</table>
	<!-- END PLAYER INFO -->
	
	<!-- START FOOTER -->
	<table border="0" cellspacing="1" cellpadding="0">
	
	<tr><td>
		<a>
		<xsl:attribute name="href">../wolfstat.html</xsl:attribute>
		<xsl:attribute name="CLASS">FOOTER</xsl:attribute>
		Back to main
	</a>
	<br /><br />
	</td></tr>
	</table>
	<!-- END FOOTER -->
	
	
	</body>
</html>
</xsl:template>

<xsl:template match="PLAYER">
<table border="0" cellspacing="1" cellpadding="0">
	<tr>
	<td>
	<table border="0" cellspacing="1" cellpadding="2">
		<tr>
		<td colspan="2" CLASS="PLAYER_NAME"><xsl:value-of disable-output-escaping="yes" select="HTMLNAME" /></td></tr>
		
	</table>
	
	<table border="0" cellspacing="1" cellpadding="0">
		<tr>
			<td>
				<table border="0" cellspacing="0" bgcolor="#000000" cellpadding="0" width="98%">
				<tr><td>
				<table border="0" cellspacing="1" cellpadding="2" width="100%">
					<tr><td width="50" CLASS="PLAYER_STAT_ITEM">Rate</td><td CLASS="PLAYER_STAT_VALUE"><xsl:value-of select="STATS/RATE" /></td></tr>
					<tr><td width="50" CLASS="PLAYER_STAT_ITEM">Score</td><td CLASS="PLAYER_STAT_VALUE"><xsl:value-of select="STATS/SCORE" /></td></tr>
					<tr><td width="50" CLASS="PLAYER_STAT_ITEM">Kills</td><td CLASS="PLAYER_STAT_VALUE"><xsl:value-of select="STATS/KILLS" /></td></tr>
					<tr><td width="50" CLASS="PLAYER_STAT_ITEM">Teamkills</td><td CLASS="PLAYER_STAT_VALUE"><xsl:value-of select="STATS/TEAMKILLS" /></td></tr>
					<tr><td width="50" CLASS="PLAYER_STAT_ITEM">Deaths</td><td CLASS="PLAYER_STAT_VALUE"><xsl:value-of select="STATS/DEATHS" /></td></tr>
					<tr><td width="50" CLASS="PLAYER_STAT_ITEM">Suicides</td><td CLASS="PLAYER_STAT_VALUE"><xsl:value-of select="STATS/SUICIDES" /></td></tr>
					<tr><td width="50" CLASS="PLAYER_STAT_ITEM">Ping</td><td CLASS="PLAYER_STAT_VALUE"><xsl:value-of select="STATS/PING" /></td></tr>
				</table>
				</td>
				</tr></table>
			</td>
			<td></td><td></td>
		</tr>
		<tr><td colspan="3" height="10"></td></tr>
		<tr>
			<td valign="top"><xsl:apply-templates select="TARGETS" /></td>
			<td valign="top"><xsl:apply-templates select="KILLERS" /></td>
			<td valign="top"><xsl:apply-templates select="TEAMKILLS" /></td>
		</tr>
	
		<tr><td colspan="3" height="10"></td></tr>
		
		<tr>
			<td valign="top"><xsl:apply-templates select="KILLWEAPONS" /></td>
			<td valign="top"><xsl:apply-templates select="DEATHWEAPONS" /></td>
			<td valign="top"><xsl:apply-templates select="SUICIDEWEAPONS" /></td>
		</tr>
		
		<tr><td colspan="3" height="10"></td></tr>
		<tr>
			<td valign="top"><xsl:apply-templates select="TEAMS" /></td>
			<td valign="top"><xsl:apply-templates select="MODELS" /></td>
			<td valign="top"><br/></td>
		</tr>
	</table>
	</td>
	</tr>
</table>
</xsl:template>
<xsl:template match="TEAMKILLS">
<table border="0" cellspacing="0" bgcolor="#000000" cellpadding="0" width="98%">
<tr><td>
	<table border="0" cellspacing="1" cellpadding="2" width="100%">
		<tr>
			<td colspan="2" CLASS="PLAYER_TOPIC_TOP" align="center">Top 50 Teamkills</td>
		</tr>
		<tr>
			<td CLASS="PLAYER_TOPIC_COL">Name</td>
			<td CLASS="PLAYER_TOPIC_COL">Times</td>
		</tr>
		<xsl:apply-templates select="TEAMKILL">
			<xsl:sort select="TIMES" order="descending" data-type="number"/>
			<xsl:sort select="NAME" order="descending"/>
		</xsl:apply-templates>	
	</table>
</td></tr>
</table>
</xsl:template>

<xsl:template match="TEAMKILL">
<xsl:if test=" 51 > position() ">
	<tr>
		<xsl:if test=" position() mod 2 != 0 ">
			<td CLASS="PLAYER_LINE_HL"><xsl:value-of select="NAME" /></td>
			<td CLASS="PLAYER_LINE_HL"><xsl:value-of select="TIMES" /></td>
		</xsl:if>
		<xsl:if test=" position() mod 2 = 0 ">
			<td CLASS="PLAYER_LINE"><xsl:value-of select="NAME" /></td>
			<td CLASS="PLAYER_LINE"><xsl:value-of select="TIMES" /></td>
		</xsl:if>
	</tr>
</xsl:if>
</xsl:template>

<xsl:template match="TARGETS">
<table border="0" cellspacing="0" bgcolor="#000000" cellpadding="0" width="98%">
<tr><td>
	<table border="0" cellspacing="1" cellpadding="2" width="100%">
		<tr>
			<td colspan="2" CLASS="PLAYER_TOPIC_TOP" align="center">Top 50 Kills</td>
		</tr>
		<tr>
			<td CLASS="PLAYER_TOPIC_COL">Name</td>
			<td CLASS="PLAYER_TOPIC_COL">Times</td>
		</tr>
		<xsl:apply-templates select="TARGET">
			<xsl:sort select="TIMES" order="descending" data-type="number"/>
			<xsl:sort select="NAME" order="descending"/>
		</xsl:apply-templates>	
	</table>
</td></tr>
</table>
</xsl:template>

<xsl:template match="TARGET">
<xsl:if test=" 51 > position() ">
	<tr>
	<xsl:if test=" position() mod 2 != 0 ">
		<td CLASS="PLAYER_LINE_HL"><xsl:value-of select="NAME" /></td><td CLASS="PLAYER_LINE_HL"><xsl:value-of select="TIMES" /></td>
	</xsl:if>
	<xsl:if test=" position() mod 2 = 0 ">
		<td CLASS="PLAYER_LINE"><xsl:value-of select="NAME" /></td><td CLASS="PLAYER_LINE"><xsl:value-of select="TIMES" /></td>
	</xsl:if>
	
	</tr>
</xsl:if>
</xsl:template>

<xsl:template match="KILLERS">
<table border="0" cellspacing="0" bgcolor="#000000" cellpadding="0" width="98%">
<tr><td>
	<table border="0" cellspacing="1" cellpadding="2" width="100%">
		<tr>
			<td colspan="2" CLASS="PLAYER_TOPIC_TOP" align="center">Top 50 Deaths</td>
		</tr>
		<tr>
			<td CLASS="PLAYER_TOPIC_COL">Name</td>
			<td CLASS="PLAYER_TOPIC_COL">Times</td>
		</tr>
		<xsl:apply-templates select="KILLER">
			<xsl:sort select="TIMES" order="descending" data-type="number"/>
			<xsl:sort select="NAME" order="descending"/>
		</xsl:apply-templates>
	</table>
</td></tr>
</table>
</xsl:template>

<xsl:template match="KILLER">
<xsl:if test=" 51 > position() ">
	<tr>
	<xsl:if test=" position() mod 2 != 0 ">
		<td CLASS="PLAYER_LINE_HL"><xsl:value-of select="NAME" /></td><td CLASS="PLAYER_LINE_HL"><xsl:value-of select="TIMES" /></td>
	</xsl:if>
	<xsl:if test=" position() mod 2 = 0 ">
		<td CLASS="PLAYER_LINE"><xsl:value-of select="NAME" /></td><td CLASS="PLAYER_LINE"><xsl:value-of select="TIMES" /></td>
	</xsl:if>
	
	</tr>
</xsl:if>
</xsl:template>

<xsl:template match="KILLWEAPONS">
<table border="0" cellspacing="0" bgcolor="#000000" cellpadding="0" width="98%">
<tr><td>
	<table border="0" cellspacing="1" cellpadding="2" width="100%">
		<tr>
			<td colspan="2" CLASS="PLAYER_TOPIC_TOP" align="center">Kill Weapons</td>
		</tr>
		<tr>
			<td CLASS="PLAYER_TOPIC_COL">Name</td>
			<td CLASS="PLAYER_TOPIC_COL">Times</td>
		</tr>
		<xsl:apply-templates select="WEAPONS">
			<xsl:sort select="TIMES" order="descending" data-type="number"/>
			<xsl:sort select="WEAPON" order="descending"/>
		</xsl:apply-templates>	
	</table>
</td></tr>
</table>
</xsl:template>


<xsl:template match="DEATHWEAPONS">
<table border="0" cellspacing="0" bgcolor="#000000" cellpadding="0" width="98%">
<tr><td>
	<table border="0" cellspacing="1" cellpadding="2" width="100%">
		<tr>
			<td colspan="2" CLASS="PLAYER_TOPIC_TOP" align="center">Death Weapons</td>
		</tr>
		<tr>
			<td CLASS="PLAYER_TOPIC_COL">Name</td>
			<td CLASS="PLAYER_TOPIC_COL">Times</td>
		</tr>
	<xsl:apply-templates select="WEAPONS">
		<xsl:sort select="TIMES" order="descending" data-type="number"/>
		<xsl:sort select="WEAPON" order="descending"/>
	</xsl:apply-templates>
	</table>
</td></tr>
</table>
</xsl:template>


<xsl:template match="SUICIDEWEAPONS">
<table border="0" cellspacing="0" bgcolor="#000000" cellpadding="0" width="98%">
<tr><td>
	<table border="0" cellspacing="1" cellpadding="2" width="100%">
		<tr>
			<td colspan="2" CLASS="PLAYER_TOPIC_TOP" align="center">Suicide Weapons</td>
		</tr>
		<tr>
			<td CLASS="PLAYER_TOPIC_COL">Name</td>
			<td CLASS="PLAYER_TOPIC_COL">Times</td>
		</tr>
		<xsl:apply-templates select="WEAPONS">
			<xsl:sort select="TIMES" order="descending" data-type="number"/>
			<xsl:sort select="WEAPON" order="descending"/>
		</xsl:apply-templates>
	</table>
</td></tr>
</table>
</xsl:template>

<xsl:template match="WEAPONS">
	<tr>
	<xsl:if test=" position() mod 2 != 0 ">
		<td CLASS="PLAYER_LINE_HL">
			<xsl:call-template name="fancyweaponname">
				<xsl:with-param name="weaponid" select="WEAPON" />
			</xsl:call-template>
		</td>
		<td CLASS="PLAYER_LINE_HL">
			<xsl:value-of select="TIMES" />
		</td>
	</xsl:if>
	<xsl:if test=" position() mod 2 = 0 ">
		<td CLASS="PLAYER_LINE">
			<xsl:call-template name="fancyweaponname">
				<xsl:with-param name="weaponid" select="WEAPON" />
			</xsl:call-template>
		</td>
		<td CLASS="PLAYER_LINE">
			<xsl:value-of select="TIMES" />
		</td>
	</xsl:if>
	
	</tr>
</xsl:template>

<xsl:template name="fancyweaponname">
	<xsl:param name="weaponid" />
	<xsl:value-of select="/WOLFSTATS/WEAPONS/WEAPON_EXISTING/WEAPON[@ID=$weaponid]/FANCYNAME" />
	
</xsl:template>

<xsl:template match="TEAMS">
<table border="0" cellspacing="0" bgcolor="#000000" cellpadding="0" width="98%">
<tr><td>
	<table border="0" cellspacing="1" cellpadding="2" width="100%">
		<tr>
			<td colspan="2" CLASS="PLAYER_TOPIC_TOP" align="center">Teams</td>
		</tr>
		<tr>
			<td CLASS="PLAYER_TOPIC_COL">Name</td>
			<td CLASS="PLAYER_TOPIC_COL">Times</td>
		</tr>
		<xsl:apply-templates select="TEAM">
			<xsl:sort select="TIMES" order="descending" data-type="number"/>
			<xsl:sort select="NAME" order="descending"/>
		</xsl:apply-templates>	
	</table>
</td></tr>
</table>
</xsl:template>

<xsl:template match="TEAM">
	<tr>
	<xsl:if test=" position() mod 2 != 0 ">
		<td CLASS="PLAYER_LINE_HL"><xsl:value-of select="NAME" /></td><td CLASS="PLAYER_LINE_HL"><xsl:value-of select="TIMES" /></td>
	</xsl:if>
	<xsl:if test=" position() mod 2 = 0 ">
		<td CLASS="PLAYER_LINE"><xsl:value-of select="NAME" /></td><td CLASS="PLAYER_LINE"><xsl:value-of select="TIMES" /></td>
	</xsl:if>
	
	</tr>
</xsl:template>
<xsl:template match="MODELS">
<table border="0" cellspacing="0" bgcolor="#000000" cellpadding="0" width="98%">
<tr><td>
	<table border="0" cellspacing="1" cellpadding="2" width="100%">
		<tr>
			<td colspan="2" CLASS="PLAYER_TOPIC_TOP" align="center">Models</td>
		</tr>
		<tr>
			<td CLASS="PLAYER_TOPIC_COL">Name</td>
			<td CLASS="PLAYER_TOPIC_COL">Times</td>
		</tr>
		<xsl:apply-templates select="MODEL">
			<xsl:sort select="TIMES" order="descending" data-type="number"/>
			<xsl:sort select="NAME" order="descending"/>
		</xsl:apply-templates>	
	</table>
</td></tr>
</table>
</xsl:template>

<xsl:template match="MODEL">
	<tr>
	<xsl:if test=" position() mod 2 != 0 ">
		<td CLASS="PLAYER_LINE_HL"><xsl:value-of select="NAME" /></td><td CLASS="PLAYER_LINE_HL"><xsl:value-of select="TIMES" /></td>
	</xsl:if>
	<xsl:if test=" position() mod 2 = 0 ">
		<td CLASS="PLAYER_LINE"><xsl:value-of select="NAME" /></td><td CLASS="PLAYER_LINE"><xsl:value-of select="TIMES" /></td>
	</xsl:if>
	
	</tr>
</xsl:template>

</xsl:stylesheet>